volserver(8)

NAME
volserver - Initializes the Volume Server component of the fs process

SYNOPSIS
volserver [-log] << [-p <number of processes] >>>
    << [-udpsize <size of socket buffer in bytes] >>>
    << [-d <debug level] >>>
    [-nojumbo] [-jumbo]
    [-enable_peer_stats] [-enable_process_stats]
    [-allow-dotted-principal] [-help]

DESCRIPTION
The volserver command initializes the Volume Server component of the fs process. In the conventional configuration, its binary file is located in the /usr/afs/bin directory on a file server machine.

The volserver command is not normally issued at the command shell prompt but rather placed into a file server machine's /usr/afs/local/BosConfig file with the bos create command. If it is ever issued at the command shell prompt, the issuer must be logged onto a database server machine as the local superuser root.

The Volume Server records a trace of its activity in the /usr/afs/logs/VolserLog file. Use the bos getlog command to display the contents of the file.

The Volume Server processes the vos commands that administrators use to create, delete, move, and replicate volumes, as well as prepare them for archiving to tape or other media.

By default, the VL Server runs nine lightweight processes (LWPs). To change the number, use the -p argument.

This command does not use the syntax conventions of the AFS command suites. Provide the command name and all option names in full.

OPTIONS

-d <debug level>
    Sets the detail level for the debugging trace written to the /usr/afs/logs/VolserLog file. Provide one of the following values, each of which produces an increasingly detailed trace: 0, 1, 5, 25, and 125.

-log
    Records in the /usr/afs/logs/VolserLog file the names of all users who successfully initiate a vos command. The Volume Server also records any file removals that result from issuing the vos release command with the -f flag.

-p <number of processes>
    Sets the number of server lightweight processes (LWPs) to run. Provide an integer between 4 and 16. The default is 9.

-udpsize <size of socket buffer>
    Sets the size of the UDP buffer in bytes, which is 64 KB by default. Provide a positive integer, preferably larger than the default.

-jumbo
    Allows the server to send and receive jumbograms. A jumbogram is a large-size packet composed of 2 to 4 normal Rx data packets that share the same header. The volserver does not use jumbograms by default, as some routers are not capable of properly breaking the jumbogram into smaller packets and reassembling them.

-nojumbo
    Deprecated; jumbograms are disabled by default.

-enable_peer_stats
    Activates the collection of Rx statistics and allocates memory for their storage. For each connection with a specific UDP port on another machine, a separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received. To display or otherwise access the records, use the Rx Monitoring API.

-enable_process_stats
    Activates the collection of Rx statistics and allocates memory for their storage. A separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received, aggregated over all connections to other machines. To display or otherwise access the records, use the Rx Monitoring API.

-allow-dotted-principal
    By default, the RXKAD security layer will disallow access by Kerberos principals with a dot in the first component of their name. This is to avoid the confusion where principals user/admin and user.admin are both mapped to the user.admin PTS entry. Sites whose Kerberos realms don't have these collisions between principal names may disabled this check by starting the server with this option.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following bos create command creates a volserver process on the machine fs2.abc.com:

   % bos create -server fs2.abc.com -instance volserver -type simple \
                 -cmd /usr/afs/bin/volserver

PRIVILEGE REQUIRED
The issuer must be logged in as the superuser root on a file server machine to issue the command at a command shell prompt. It is conventional instead to create and start the process by issuing the bos create command.

SEE ALSO
the BosConfig(5) manpage, the VolserLog(5) manpage, the bos_create(8) manpage, the bos_getlog(8) manpage, the vos(1) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.